Name:           simpleid
Version:        0.9
Release:        1%{?dist}
Summary:        A simple, personal OpenID provider written in PHP
Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://simpleid.sourceforge.net/
# Source0:        http://sourceforge.net/projects/simpleid/files/simpleid/{version}/simpleid-%{version}.tar.gz/download
Source0:        http://sourceforge.net/projects/simpleid/files/simpleid/{version}/simpleid-%{version}.tar.gz
Source1:        simpleid-config.inc
Source2:        simpleid-README-Fedora.txt

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       php-bcmath php-session php-pcre php-gmp
# for OpenID 2.0:
Requires:       php-xml php-hash

%description 

Allows you to host your own OpenID provider with minimal requirements.

Features

    * Support for OpenID 1.1 and 2.0
    * Support for Simple Registration Extension 1.0 and 1.1 draft
    * Multiple identities with one installation
    * Flat files only, no database required

%prep
%setup -q -n simpleid

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/var/www/simpleid/
install -d $RPM_BUILD_ROOT/var/www/simpleid/store
install -d $RPM_BUILD_ROOT/var/www/simpleid/identities
install -d $RPM_BUILD_ROOT/var/www/simpleid/cache

install -d $RPM_BUILD_ROOT/var/log/simpleid

cp -a www/ $RPM_BUILD_ROOT/var/www/simpleid/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/var/www/simpleid/www/config.inc

install -d $RPM_BUILD_ROOT/etc/httpd/conf.d/
cat > $RPM_BUILD_ROOT/etc/httpd/conf.d/simpleid.conf <<EOF
Alias /simpleid /var/www/simpleid/www
EOF

cp %{SOURCE2} ./README-Fedora.txt

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt  COPYING-normalizecss.txt COPYING.txt COPYING-xtemplate.txt README.txt UPGRADE.txt extensions/ identities/ README-Fedora.txt
%dir /var/www/simpleid/
%dir /var/www/simpleid/identities
#/var/www/simpleid/www/*
#%config(noreplace) /var/www/simpleid/www/config.inc
%config(noreplace) /etc/httpd/conf.d/simpleid.conf
%attr(-,apache,apache)  %dir /var/www/simpleid/cache 
%attr(-,apache,apache)  %dir /var/www/simpleid/store
%attr(-,apache,apache)  %dir /var/log/simpleid
#%attr(-,apache,apache)  /var/www/simpleid/www/index.php
%attr(-,apache,apache)  /var/www/simpleid/www/*
/var/www/simpleid/www/.htaccess.dist

%changelog
* Fri Apr 18 2014 Ismael Olea <ismael@olea.org> - 0.9-1
- update to 0.9
- added COPYING-normalizecss.txt
- removed COPYING-md5.js.txt
- removed www/config.inc.dist
- dropped issue129-php5.2.patch since it's included upstream

* Tue Jun 18 2013 Ismael Olea <ismael@olea.org> - 0.8.4-2
- Patch0 for php <= 5.2 

* Thu Jun 13 2013 Ismael Olea <ismael@olea.org> - 0.8.4-1
- update to 0.8.4
- minor spec modifications

* Sat Jan 5 2013 Ismael Olea <ismael@olea.org> - 0.8.3-1
- update to 0.8.3

* Tue Dec 4 2012 Ismael Olea <ismael@olea.org> - 0.8.2-1
- update to 0.8.2

* Wed Dec 22 2010 Ismael Olea <ismael@olea.org> - 0.7.5-1
- update to 0.7.5
- renaming from SimpleID to simpleid
- suphp friendly

* Fri Jan 15 2010 Ismael Olea <ismael@olea.org> 0.7.1-1
- first rpm
